import { AdaptableModuleBase } from './AdaptableModuleBase';
import { IModule } from './Interface/IModule';
import { AdaptableApi } from '../Api/AdaptableApi';
import { GridOptions } from 'ag-grid-enterprise';
export declare class StatusBarModule extends AdaptableModuleBase implements IModule {
    constructor(api: AdaptableApi);
    syncStateWithOptions(agGridAdaptablePanels: GridOptions['statusBar']['statusPanels']): void;
    isModuleAvailable(): boolean;
}
